Bug 885671 - Sleeping with a HDMI display moves all the windows
Summary: Sleeping with a HDMI display moves all the windows
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 21
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-10 11:34 UTC by Berend De Schouwer
Modified: 2015-12-02 16:03 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 02:42:15 UTC
Type: Bug


Attachments (Terms of Use)

Description Berend De Schouwer 2012-12-10 11:34:24 UTC
Description of problem:

Screen lock and sleep moves all windows from the external HDMI display to the internal display.


Version-Release number of selected component (if applicable):

2.20.10-2.fc17 (assuming xorg-x11-drv-intel, could be kernel, could be gnome-shell)


Steps to Reproduce:
1.  Connect external HDMI screen to laptop.
2.  Enable both displays (automatic after first configuration)
3.  Start one or more applications.
4.  Put at least one application window on the HDMI display.
5.  Lock the screen (gnome-shell -> user -> lock screen)
6.  Wait for power saving sleep
7.  Wake up laptop
8.  Unlock.


Actual results:

All the application windows have moved from the external HDMI to the laptop screen.


Expected results:

Application windows stay where they were before the screen lock.


Additional info:

I've noticed that the HDMI display takes a few seconds longer to start than the laptop screen.  HDMI likely has to renegotiate after sleep, causing the application windows to move.

Comment 1 Adam Jackson 2013-01-04 20:04:18 UTC
Yeah, that'll happen.  Output connections come and go across suspend.

Restoring window position is gnome's job in any event, not X's.  Reassigning.

Comment 2 Berend De Schouwer 2013-05-09 09:41:28 UTC
This just became a *lot* more annoying in Fedora 19 / Gnome 3.8.

Now the screen goes into sleep as soon as you lock the screen, which means this now affects me multiple times a day.  I lock my screen at work when I go for coffee, when I go get rid of coffee, ...  Previously it would only happen after long meetings.

Comment 3 Fedora End Of Life 2013-07-04 02:06:59 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Berend De Schouwer 2013-07-04 12:42:42 UTC
As per comment #2 this is still a problem in Fedora 19.

Comment 5 Berend De Schouwer 2013-11-14 09:45:44 UTC
This appears fixed in Fedora 20 Beta

Comment 6 Berend De Schouwer 2013-11-14 13:19:08 UTC
Sorry: the near-instant toggle of move-windows is gone in Fedora 20.  Long-term power off (> 30 minutes?) still moves windows.

This does mean it's a lot less annoying than it was in F19.

Comment 7 Fedora End Of Life 2015-01-09 17:31:27 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2015-02-17 14:36:45 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 9 Berend De Schouwer 2015-02-19 10:19:07 UTC
This is still a problem in Fedora 21 with "long" power-offs (eg. > 10 minutes)

gnome-shell-3.14.3-1.fc21.x86_64

Comment 10 Fedora End Of Life 2015-11-04 13:32:04 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2015-12-02 02:42:19 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.